# class KPopupTitle | KPopupMenu title widget. More...
Definition | `#include <kpopupmenu.h>`
Inherits | QWidget (qt) [public ]
List of all Methods
Annotated List
Files
Globals
Hierarchy
Index

#### Public Methods

- KPopupTitle (QWidget *parent=0, const char *name=0)
- KPopupTitle (KPixmapEffect::GradientType gradient, const QColor &color, const QColor &textColor, QWidget *parent=0, const char *name=0)
- KPopupTitle (const KPixmap &background, const QColor &color, const QColor &textColor, QWidget *parent=0, const char *name=0)
- void setTitle (const QString &text, const QPixmap *icon=NULL)
- QString title ()
- QPixmap icon ()
- QSize sizeHint () const

#### Protected Methods

- void paintEvent (QPaintEvent *ev)

#### Protected Members

- KPixmapEffect::GradientType grType
- QString titleStr
- KPixmap fill
- QPixmap miniicon
- QColor fgColor
- QColor bgColor
- QColor grHigh
- QColor grLow
- bool useGradient
- Forward KPopupTitlePrivate
- KPopupTitlePrivate *d

## Detailed Description

Title widget for use in KPopupMenu.

You usually don't have to create this manually since KPopupMenu::insertTitle will do it for you, but it is allowed if you wish to customize it's look.

KPopupTitle (QWidget *parent=0, const char *name=0) | ### KPopupTitle

Create a title widget with the user specified gradient, pixmap, and colors.

KPopupTitle (KPixmapEffect::GradientType gradient, const QColor &color, const QColor &textColor, QWidget *parent=0, const char *name=0) | ### KPopupTitle

Create a title widget with the specified gradient and colors.

KPopupTitle (const KPixmap &background, const QColor &color, const QColor &textColor, QWidget *parent=0, const char *name=0) | ### KPopupTitle

Create a title widget with the specified pixmap and colors.

void setTitle (const QString &text, const QPixmap *icon=NULL) | ### setTitle

Set the title string and optional icon for the title widget.

You will want to call this before inserting into a menu.

QString title () | ### title

Retrieve the current title.

QPixmap icon () | ### icon

Retrieve the current icon.

Reimplemented from QWidget.

QSize sizeHint () | ### sizeHint

[const]

Reimplemented from QWidget.

void paintEvent (QPaintEvent *ev) | ### paintEvent

[protected]

Reimplemented from QWidget.

KPixmapEffect::GradientType grType | ### grType

[protected]

QString titleStr | ### titleStr

[protected]

KPixmap fill | ### fill

[protected]

QPixmap miniicon | ### miniicon

[protected]

QColor fgColor | ### fgColor

[protected]

QColor bgColor | ### bgColor

[protected]

QColor grHigh | ### grHigh

[protected]

QColor grLow | ### grLow

[protected]

bool useGradient | ### useGradient

[protected]

KPopupTitlePrivate * d | ### d

[protected]

- Author: Daniel M. Duley <mosfet@kde.org>
- Generated: root@i386.ports.openbsd.org on Wed Apr 25 13:58:24 2001, using kdoc 2.0a53.